/***************************************************************************
                          country.h  -  description
                             -------------------
    begin                : jue ago 22 2002
    copyright            : (C) 2002 by Jaime Robles
    email                : jaime@robles.nu
 ***************************************************************************/
/******************************************************************************
 *                                                                            *
 *   This program is free software; you can redistribute it and/or modify     *
 *   it under the terms of the GNU General Public License as published by     *
 *   the Free Software Foundation; either version 2 of the License, or        *
 *   (at your option) any later version.                                      *
 *                                                                            *
 *   This program is distributed in the hope that it will be useful,          *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
 *   GNU General Public License for more details.                             *
 *                                                                            *
 *   You should have received a copy of the GNU General Public License        *
 *   along with this program; if not, write to the Free Software              *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA*
 *****************************************************************************/

 
#ifndef COUNTRY_H
#define COUNTRY_H
 
#define COUNTRIES 340

 class Country{
public:
//  Country();
//  Country (const int tnumb, const QString& tcountry, const QString& tpfx, const int tcqz, const int tlon, int tlat, const int tzone, const int tcontinent, const int tituz);
  
  
  Country (const int tnumb, const QString& tcountry, const QString& tpfx, const int tcqz, const int tlon, int tlat, const int tzone, const int tcontinent, const int tituz);
  ~Country();

  void setCountry(QString &tcountry);
  QString getCountry() const;

  void setPfx(QString &tpfx);
  QString getPfx() const;

  void setNumb(int tnumb);
  int getNumb() const;

  void setCqz (int tcqz);
  int getCqz() const;
  
  void setLon(long tlon);
  long  getLon() const;
  
  void setLat(long tlat);
  long getLat() const;

  void setItuz(int tituz);
  int getItuz() const;

  void setContinent(int tcontinent);
  int getContinent()const;

private:
  int numb;
  QString country;
  QString pfx;
  int cqz;
  long lon;
  long lat;
  int tzone;
  int continent;
  int ituz;

};

/*
typedef struct prx{
  char *pref[15];
 // int n; // Maybe it int is not necesary... for the number of pref
  struct prx *next; // Link to the next QSO in the log
} prx;


typedef struct {
  int   numb;
  char *country[25];
  char *prfx[4];
  int cqz;
  long lon;
  long lat;
  int tzone;
  char *continent[2];
  int ituz;
  prx *prefix;//here starts the list of prefix
  
}entity;

entity country[COUNTRIES];



 

void readCountries();
void printCountry(int i);
void printCountries(int sup);
prx * AddPrx (prx *firstprx, prx *data);
void printPrefixes(prx *firstprx);
int getEntity (char *qrz);
char *getCountryName(int i);
//char *getPrx(char *tqrz);
*/
#endif